Open CASCADE Technology: StepSelect_Activator Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepSelect_Activator Class Reference

Performs Actions specific to StepSelect, i.e. creation of Step Selections and Counters, plus dumping specific to Step. More...

`#include <StepSelect_Activator.hxx>`

Inheritance diagram for StepSelect_Activator:
[legend]

## Public Member Functions
| StepSelect_Activator ()
IFSelect_ReturnStatus | Do (const Standard_Integer number, const Handle< IFSelect_SessionPilot > &pilot)
| Executes a Command Line for StepSelect. More...
Standard_CString | Help (const Standard_Integer number) const
| Sends a short help message for StepSelect commands. More...
Public Member Functions inherited from IFSelect_Activator
void | Add (const Standard_Integer number, const Standard_CString command) const
| Allows a self-definition by an Activator of the Commands it processes, call the class method Adding (mode 0) More...
void | AddSet (const Standard_Integer number, const Standard_CString command) const
| Same as Add but specifies that this command is candidate for xset (creation of items, xset : named items; mode 1) More...
Standard_CString | Group () const
Standard_CString | File () const
void | SetForGroup (const Standard_CString group, const Standard_CString file="")
| Group and SetGroup define a "Group of commands" which correspond to an Activator. Default is "XSTEP" Also a file may be attached. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Static Public Member Functions inherited from IFSelect_Activator
static void | Adding (const Handle< IFSelect_Activator > &actor, const Standard_Integer number, const Standard_CString command, const Standard_Integer mode)
| Records, in a Dictionary available for all the Activators, the command title an Activator can process, attached with its number, proper for this Activator <mode> allows to distinguish various execution modes 0: default mode; 1 : for xset. More...
static void | Remove (const Standard_CString command)
| Removes a Command, if it is recorded (else, does nothing) More...
static void | SetAlias (const Standard_CString conf, const Standard_CString command, const Standard_CString aliasname)
| Records, for a configuration named <conf>, that the command <command> may be aliased by another command <alias> More...
static void | SetCurrentAlias (const Standard_CString conf)
| Sets <conf> as current configuration for aliases. More...
static TCollection_AsciiString | Alias (const Standard_CString command)
| Returns, in the current configuration, what alias has been recorded for <command> The returned string is empty if no alias is recorded. More...
static Standard_Boolean | Select (const Standard_CString command, Standard_Integer &number, Handle< IFSelect_Activator > &actor)
| Selects, for a Command given by its title, an actor with its command number. Returns True if found, False else. More...
static Standard_Integer | Mode (const Standard_CString command)
| Returns mode recorded for a command. -1 if not found. More...
static Handle< TColStd_HSequenceOfAsciiString > | Commands (const Standard_Integer mode=-1, const Standard_CString command="")
| Returns, for a root of command title, the list of possible commands. <mode> : -1 (D) for all commands if <commands> is empty -1 + command : about a Group , >= 0 see Adding By default, it returns the whole list of known commands. More...
Protected Member Functions inherited from IFSelect_Activator
| IFSelect_Activator ()
| Sets the default values. More...

## Detailed Description

Performs Actions specific to StepSelect, i.e. creation of Step Selections and Counters, plus dumping specific to Step.

## Constructor & Destructor Documentation

StepSelect_Activator::StepSelect_Activator | ( |  | ) |

## Member Function Documentation

IFSelect_ReturnStatus StepSelect_Activator::Do | ( | const Standard_Integer | number,
|  | const Handle< IFSelect_SessionPilot > & | pilot
| ) |  |
| virtual

Executes a Command Line for StepSelect.

Implements IFSelect_Activator.

Standard_CString StepSelect_Activator::Help | ( | const Standard_Integer | number | ) | const
| virtual

Sends a short help message for StepSelect commands.

Implements IFSelect_Activator.

The documentation for this class was generated from the following file:

- StepSelect_Activator.hxx